/* variables */
:root {
    /* --primary: #7e0c01; */
    --primary: #800020;
    --secondary: #d2abab;
    --light: #fffffe;
  }

/* reset */
body,p,a,ul,li {
    margin: 0;
    padding: 0;
    text-decoration: none;
}

html, body
{
    height: 100%;
}

/* Base Style */
body {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 16px;
}

#wrapper {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--primary);
}

nav {
    display: flex;
    justify-content: space-between;
    background-color: var(--light);
}

nav li {
    list-style-type: none;
    font-size: 0.9em;
    font-weight: 600;
    margin: 0 5px;
}

nav a {
    color: var(--primary);
}

#navLogo {
    width: 6em;
    margin: 5px 0 0 5px;
}

#navCoName {
    display: none;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 2em;
    font-weight: 800;
    color: var(--primary);
}

#navLinks {
    display: flex;
    align-items: center;
    margin-right: 5px;
}

#banner {
    position: relative;
}

#banner img {
    max-width: 100%;
}

.slide {
    display: none;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}
  
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
}

#introText {
    color: var(--secondary);
}

#introText p {
    font-size: .8em;
    text-indent: 50px;
    margin: 10px;
}

.contrastPara {
    background-color: var(--light);
    color: var(--primary);
    padding: 10px 0;
}

.inlineLinks {
    color: var(--secondary);
    text-decoration-line: underline;
    font-weight: bolder;
}

/* Cards Section Style */
#cardHolder {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 30px 0;
}

.card {
    max-width: fit-content;
    box-shadow: 0 5px 10px 5px black;
    text-align: center;
    opacity: 1;
    background-color: antiquewhite;
}
.cardImg {
    min-width: 125px;
    max-width: 125px;
    min-height: 125px;
    max-height: 125px;
    border-radius: 5px;
    margin: 5px 5px -2px 5px;
}
.cardText {
    margin: 0;
    font-size: 0.8em;
    font-family: cursive, Impact, 'Arial Narrow Bold', sans-serif;
    color: var(--primary);
}

.rotateRight {
    margin-right: 10px;
    animation: animatedCard1 2s linear infinite alternate;
}

.rotateLeft {
    margin-left: 10px;
    animation: animatedCard2 3s linear infinite alternate;
}

/* Footer style */
footer {
    width: 100%;
    height: 4em;
    /* background-color: var(--secondary); */
    background-color: var(--light);
    color: var(--primary);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.footerLinks {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}

footer ul {
    display: flex;
    align-items: center;
}

footer li {
    font-size: .8em;
    list-style-type: none;
    margin: 0 5px;
}

footer a {
    color: var(--primary);
}

.copyright {
    font-size: .6em;
    font-weight: normal;
    margin: 0 10px;
}

#fmcsaLogo, #carbLogo, #smartwayLogo {
    max-height: 25px;
    margin: 0 10px;
}

/* card animation */
@keyframes animatedCard1 {
    from {
        transform: rotate(18deg);
        -webkit-transform: rotate(18deg);
        -ms-transform: rotate(18deg);
        -moz-transform: rotate(18deg);
        -o-transform: rotate(18deg);
    }
    to {
        transform: rotate(13deg);
        -webkit-transform: rotate(13deg);
        -ms-transform: rotate(13deg);
        -moz-transform: rotate(13deg);
        -o-transform: rotate(13deg);
    }
}

@keyframes animatedCard2 {
    from {
        transform: rotate(-18deg);
        -webkit-transform: rotate(-18deg);
        -ms-transform: rotate(-18deg);
        -moz-transform: rotate(-18deg);
        -o-transform: rotate(-18deg);
    }
    to {
        transform: rotate(-13deg);
        -webkit-transform: rotate(-13deg);
        -ms-transform: rotate(-13deg);
        -moz-transform: rotate(-13deg);
        -o-transform: rotate(-13deg);
    }
}

.pageHeaderContainer{
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ----------------------------------------- */
/*              Icon Styling                 */
/* ----------------------------------------- */
.material-icons {
    font-size: 24px;
}




/* ----------------------------------------- */
/*              Contact Page                 */
/* ----------------------------------------- */

#contactInfoContainer {
    display: flex;
    justify-content: center;
}

#contactSubContainer {
    width: 600px;
    margin: 20px;
    color: var(--light);
    font-size: 0.8em;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2px;
    border: solid var(--light) 2px;
    box-shadow: 0 5px 10px 5px var(--light);
}

.contactHeader {
    font-size: 1.3em;
    font-weight: 600;
    margin: 15px 0 0 0;
}

.contactInfo {
    margin: 0 0 0 10px;
}

.contactHeader, .contactInfo {
    display: flex;
}

#googleMapContainer{
    display: flex;
    justify-content: center;
    margin: 15px 0;
}

/* ----------------------------------------- */
/*              Careers Page                 */
/* ----------------------------------------- */

#careersSlidesContainer {
    contain: content;
    display: flex;
    justify-content: center;
}

#careersInfoContainer {
    font-size: 0.8em;
}

.careerHeader {
    width: 400px;
    color: var(--light);
    font-size: 1.3em;
    font-weight: 600;
    margin: 20px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2px;
    border: solid var(--light) 2px;
    box-shadow: 0 5px 10px 5px var(--light);
}

.careerInfo {
    color: var(--light);
    margin: 10px 25px;
}

.listItem {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.listItem:hover .listIcon {
    transform: perspective(1px) translateZ(0);
    transition-duration: 0.3s;
    transition-property: box-shadow;
    box-shadow: inset 0 0 0 2px var(--light);
}

#downloadButContainer {
    display: flex;
    justify-content: center;
    align-content: center;
    margin-top: 25px;
    margin-bottom: 15px;
}

.downloadBut {
    width: 200px;
    height: 40px;
    background-color: var(--light);
    color: var(--primary);
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    box-shadow: 0 5px 10px 5px black;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.downloadBut:hover {
    background-color: var(--primary);
    color: var(--light);
    border: var(--light) solid 2px;
}

/* ----------------------------------------- */
/*              Quote Page                   */
/* ----------------------------------------- */

#quoteContentContainer {
    font-size: 0.8em;
}

.quoteHeader {
    width: 400px;
    color: var(--light);
    font-size: 1.3em;
    font-weight: 600;
    margin: 20px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-content: center;
    padding: 2px;
    border: solid var(--light) 2px;
    box-shadow: 0 5px 10px 5px var(--light);
}

.quoteInfo {
    color: var(--light);
    margin: 10px 25px;
}